Skip to main content
POST
/
v1
/
invoices
Upsert invoices in bulk
curl --request POST \
  --url https://api.paytsoftware.com/v1/invoices \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "administration_id": "<string>",
  "invoices": [
    {
      "currency_code": "<string>",
      "invoice_number": "<string>",
      "invoice_date": "<string>",
      "due_date": "<string>",
      "book_amount_total": "<string>",
      "book_amount_open": "<string>",
      "amount_open": "<string>",
      "amount_total": "<string>",
      "invoice_identifier": "<string>",
      "debtor_number": "<string>",
      "debtor_identifier": "<string>",
      "order_number": "<string>",
      "peppol_identifier": "<string>",
      "description": "<string>",
      "category": "<string>",
      "contact_identifier": "<string>",
      "payment_condition": "<string>",
      "sent_at": "2023-11-07T05:31:56Z",
      "labels": [
        "<string>"
      ],
      "payment_term": 123,
      "document": {
        "checksum": "<string>",
        "filename": "<string>",
        "destroy": true
      },
      "ubl_document": {
        "checksum": "<string>",
        "filename": "<string>",
        "destroy": true
      },
      "payments": [
        {
          "amount": "<string>",
          "origin_identifier": "<string>",
          "cost_type": "principal",
          "payment_date": "<string>",
          "book_amount": "<string>",
          "description": "<string>",
          "payment_method": "<string>",
          "reversal_code": "<string>"
        }
      ],
      "invoice_lines": [
        {
          "description": "<string>",
          "vat_rate_code": "<string>",
          "total_excl_tax_amount": "<string>",
          "total_incl_tax_amount": "<string>",
          "product_price": "<string>",
          "product_unit": "<string>",
          "product_quantity": "<string>",
          "vat_percentage": "<string>",
          "vat_amount": "<string>",
          "line_order": 123
        }
      ]
    }
  ]
}
'
{
  "success": true,
  "count": 98,
  "errors": {
    "123456": [
      "Validation error 1",
      "Validation error 2"
    ],
    "123461": [
      "Validation error"
    ]
  },
  "warnings": {
    "123457": [
      "Warning message 1",
      "Warning message 2"
    ]
  }
}

Authorizations

Authorization
string
header
required

OAuth2 access token or static API token. See Authorization for how to obtain one.

Body

Upsert invoices in bulk

administration_id
string
required

Administration identifier

invoices
object[]
required

Response

List of created invoices

CustomerApi_SuccessEntity model

success
boolean
required

Request was handled successfully

count
integer<int32>
required

Number of records processed, those without errors

Example:

98

errors
object
required

List of records that could not be processed and for which reasons

Example:
{
"123456": ["Validation error 1", "Validation error 2"],
"123461": ["Validation error"]
}
warnings
object

List of records that were partially processed, the messages contain warnings

Example:
{
"123457": ["Warning message 1", "Warning message 2"]
}
Last modified on June 12, 2026